graphics/darktable - The NetBSD Packages Collection

Photography workflow application

darktable is a photography workflow application: a virtual lighttable
and darkroom for photographers: it manages your digital negatives
in a database and lets you view them through a zoomable lighttable.
it also enables you to develop raw images and enhance them.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto lang/clang pkgtools/cwrappers lang/clang devel/glib2-tools textproc/intltool shells/bash devel/cmake devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/GConf devel/glib2 devel/zlib devel/zlib devel/libinotify devel/libgphoto2 graphics/GraphicsMagick graphics/lcms2 graphics/exiv2 graphics/gegl textproc/json-glib graphics/librsvg graphics/png graphics/tiff graphics/lensfun graphics/openexr graphics/openjpeg lang/lua53 net/flickcurl net/libsoup parallel/openmp print/cups-base security/libsecret sysutils/desktop-file-utils textproc/iso-codes textproc/pugixml www/curl x11/gtk3 graphics/hicolor-icon-theme devel/GConf devel/glib2 devel/zlib devel/libgphoto2 graphics/GraphicsMagick graphics/gegl textproc/json-glib graphics/librsvg graphics/librsvg graphics/png graphics/tiff graphics/lensfun graphics/openexr net/flickcurl net/libsoup print/cups-base security/libsecret sysutils/desktop-file-utils www/curl x11/gtk3 graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 9.0x86_64darktable-3.0.0nb15.tgz
NetBSD 9.0x86_64darktable-3.0.0nb16.tgz
NetBSD 9.0x86_64darktable-3.0.0nb12.tgz
NetBSD 9.0x86_64darktable-3.0.0nb14.tgz
NetBSD 9.0x86_64darktable-3.0.0nb16.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.